Innehåll

# XOR Operator

Utför en logisk exklusivt eller-kombination av två uttryck.

## Syntax:

    Result = Expression1 XOR Expression2

## Parametrar:

Resultat: En numerisk variabel som innehåller kombinationens resultat.

Uttryck1, Uttryck2: De numeriska uttryck som ska kombineras.

En logisk Xor-kombination av två logiska uttryck returnerar värdet True om de två uttryckens sanningsvärden skiljer sig från varandra.

I en bitvis Xor-kombination blir en viss bit 1 om motsvarande bit är 1 i det ena uttrycket och 0 i det andra uttrycket.

## Exempel:

    Sub ExampleXOR
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB XOR vB > vC ' returns 0
        vOut = vB > vA XOR vB > vC ' returns -1
        vOut = vA > vB XOR vB > vD ' returns -1
        vOut = (vB > vD XOR vB > vA) ' returns 0
        vOut = vB XOR vA ' returns 2
    End Sub

Stötta oss!